Search Results for

Show / Hide Table of Contents

# Struct AssetImage

Describes a requested image asset.

##### Inherited Members

ValueType.Equals(object)
ValueType.GetHashCode()
ValueType.ToString()
object.Equals(object, object)
object.GetType()
object.ReferenceEquals(object, object)

###### Namespace: AppstockSDK.Api.Native.Data.Request

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public struct AssetImage

### Fields

#### ext

An optional extension for additional data.

##### Declaration

    [Tooltip("An optional extension for additional data.\nORTB: assets[i].ext")]
    public ExtSlot ext

##### Field Value

Type | Description
--- | ---
ExtSlot | This object is a placeholder that may contain custom JSON agreed to by the parties to support flexibility beyond the standard defined in ORTB specification.

##### Remarks

ORTB: `assets[i].ext`

#### height

Gets or sets image height.

##### Declaration

    [Tooltip("Height of the image in pixels.\nORTB: assets[i].img.h")]
    public SerializableOptional<int> height

##### Field Value

Type | Description
--- | ---
SerializableOptional<int> | Height of the image in pixels.

##### Remarks

ORTB: `assets[i].img.h`

#### imageExt

An optional extension for additional data.

##### Declaration

    [Tooltip("An optional extension for additional data.\nORTB: assets[i].img.ext")]
    public ExtSlot imageExt

##### Field Value

Type | Description
--- | ---
ExtSlot | This object is a placeholder that may contain custom JSON agreed to by the parties to support flexibility beyond the standard defined in ORTB specification.

##### Remarks

ORTB: `assets[i].img.ext`

#### imageType

Gets or sets image type.

##### Declaration

    [Tooltip("Type of the image element supported by the publisher.\nThe publisher can display this information in an appropriate format.\nORTB: assets[i].img.type")]
    public AssetImage.ImageType imageType

##### Field Value

Type | Description
--- | ---
AssetImage.ImageType | Type ID of the image element supported by the publisher. The publisher can display this information in an appropriate format.

##### Remarks

ORTB: `assets[i].img.type`

##### See Also

AssetImage.ImageType

#### mimeTypes

Gets or sets mime types.

##### Declaration

    [Tooltip("Whitelist of content MIME types supported.\nORTB: assets[i].img.mimes")]
    public string[]? mimeTypes

##### Field Value

Type | Description
--- | ---
string[] | Whitelist of content MIME types supported.

##### Remarks

ORTB: `assets[i].img.mimes`

#### minSize

Gets or sets minimal image size.

##### Declaration

    [Tooltip("The minimum requested width and height of the image in pixels.\nThis option should be used for any rescaling of images by the client.\nORTB: assets[i].img.wmin, assets[i].img.hmin")]
    public Vector2Int minSize

##### Field Value

Type | Description
--- | ---
Vector2Int | The minimum requested width and height of the image in pixels. This option should be used for any rescaling of images by the client.

##### Remarks

ORTB: `assets[i].img.wmin`, `assets[i].img.hmin`

#### required

Gets or sets if asset is required.

##### Declaration

    [Tooltip("If checked, exchange will not accept a bid without this asset.\nORTB: assets[i].required")]
    public bool required

##### Field Value

Type | Description
--- | ---
bool | `true` if required (exchange will not accept a bid without it), `false` otherwise.

##### Remarks

ORTB: `assets[i].required`

#### width

Gets or sets image width.

##### Declaration

    [Tooltip("Width of the image in pixels.\nORTB: assets[i].img.w")]
    public SerializableOptional<int> width

##### Field Value

Type | Description
--- | ---
SerializableOptional<int> | Width of the image in pixels.

##### Remarks

ORTB: `assets[i].img.w`